From ca78eb35b59cc398a37d36c27373dd64eb3a8f77 Mon Sep 17 00:00:00 2001
From: VaibhaveS <vaibhavedavey@gmail.com>
Date: Sat, 6 Jul 2024 17:15:33 +0530
Subject: [PATCH] Skip temporary tables in  vacuumdb.

---
 src/bin/scripts/vacuumdb.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/bin/scripts/vacuumdb.c b/src/bin/scripts/vacuumdb.c
index 7138c6e97e..3dbda53b72 100644
--- a/src/bin/scripts/vacuumdb.c
+++ b/src/bin/scripts/vacuumdb.c
@@ -733,6 +733,11 @@ vacuum_one_database(ConnParams *cparams,
 		has_where = true;
 	}
 
+	/*
+	 * Exclude temporary tables
+	 */
+	appendPQExpBufferStr(&catalog_query, " AND c.relpersistence <> 't'");
+	
 	/*
 	 * Execute the catalog query.  We use the default search_path for this
 	 * query for consistency with table lookups done elsewhere by the user.
-- 
2.34.1

